Bug 116054 - [Port update] net/ldapscripts v1.6 -> 1.7
Summary: [Port update] net/ldapscripts v1.6 -> 1.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-03 16:00 UTC by ganael.laplanche
Modified: 2007-09-05 16:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.32 KB, patch)
2007-09-03 16:00 UTC, ganael.laplanche
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2007-09-03 16:00:06 UTC
Update to v1.7. Here is the changelog :

2007/09/03 : ldapscripts 1.7
  - Fixed several typos and bugs
  - _ldapinit : new options : '-r' and '-s' to create only the root dn ('-r'), or regular OUs ('-s')
    - [internals] Added the ability to select depth when using _extractldif()
    - [internals] New is_integer function
  - _lsldap : new options : '-u', '-g' and '-m', to list only 'u'ser, 'g'roup or 'm'achine entries
  - New _ldapmodify{user,group,machine} interactive scripts to edit entries
    - Added a new $TMPDIR configuration variable (necessary for the new scripts)
    - Added _ldapmodify{user,group,machine}(1) manpages
  - Now bundled with a brand-new Makefile (old install script no more available)

Fix: Patch attached with submission follows:
Comment 1 Rong-En Fan freebsd_committer 2007-09-04 14:20:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

I'll take it.
Comment 2 dfilter freebsd_committer 2007-09-05 16:47:58 UTC
rafan       2007-09-05 15:47:54 UTC

  FreeBSD ports repository

  Modified files:
    net/ldapscripts      Makefile distinfo pkg-plist 
  Log:
  - Update to 1.7
  
  PR:             ports/116054
  Submitted by:   Ganael Laplanche <ganael.laplanche at martymac.com> (maintainer)
  
  - Install to PREFIX instead of LOCALBASE
  - Use INSTALL_* macros instead of CP
  - Handle configuration files per Porter's Handbook
  - Documents go to DOCSDIR, not ETCDIR
  - Use SourceForge mirror as first choice
  
  Approved by:    Ganael Laplanche <ganael.laplanche at martymac.com> (maintainer)
  
  Revision  Changes    Path
  1.6       +56 -45    ports/net/ldapscripts/Makefile
  1.5       +3 -3      ports/net/ldapscripts/distinfo
  1.6       +11 -11    ports/net/ldapscripts/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Rong-En Fan freebsd_committer 2007-09-05 16:48:08 UTC
State Changed
From-To: open->closed

Committed with additional changes. Thanks!